package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class BoostTestTusarHudsonTestType extends TestType {

private static TestTypeDescriptor<? extends TestType> DESCRIPTOR = new BoostTestTusarHudsonTestType.DescriptorImpl();

@DataBoundConstructor
public BoostTestTusarHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<? extends TestType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends TestTypeDescriptor<BoostTestTusarHudsonTestType> {

  public DescriptorImpl() {
     super(BoostTestTusarHudsonTestType.class, com.thalesgroup.dtkit.tusar.BoostTest.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.tusar.BoostTest";
}

}

}
